<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-card>
          <v-toolbar flat>
            <v-toolbar-title>{{ name }}</v-toolbar-title>
            <v-spacer></v-spacer>
            <v-btn
              color="primary"
              class="mr-2"
              :to="`/admin/forms/answers/${$route.params.form}`"
            >
              {{ $t('forms.regresar') }}
            </v-btn>
          </v-toolbar>
          <v-card-text>
            <no-ssr>
              <v-form-base
                :model="myModel"
                :schema="mySchema"
                :row="{ noGutters: false }"
                :col="6"
              />
            </no-ssr>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import VFormBase from 'vuetify-form-base'

export default {
  components: {
    VFormBase,
  },
  data() {
    return {
      loading: false,
      name: null,
      myModel: {},
      mySchema: {},
    }
  },
  async fetch() {
    const self = this
    await this.$fire.firestore
      .collection(`forms`)
      .doc(this.$route.params.form)
      .get()
      .then((doc) => {
        const { name, items } = doc.data()
        self.name = name
        self.mySchema = items.reduce(function (acc, curr) {
          acc[curr.id] = curr
          return acc
        }, {})
      })
    await this.$fire.firestore
      .collection(`forms/${this.$route.params.form}/answers`)
      .doc(this.$route.params.answerid)
      .get()
      .then((doc) => {
        self.myModel = doc.data()
      })
  },
  methods: {},
}
</script>
